org.apache.regexp

## Class RegexpTunnel

- java.lang.Object
- - org.apache.regexp.RegexpTunnel

-     public class RegexpTunnel
      extends java.lang.Object

  This class exists as a gateway to access useful Jakarta Regexp package protected data.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegexpTunnel()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static char[]` | `getPrefix(RE regexp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegexpTunnel

          public RegexpTunnel()

  - ### Method Detail

    - #### getPrefix

          public static char[] getPrefix(RE regexp)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.